local font, fontsize = "Fonts\\FRIZQT__.ttf", 12        -- The font and fontsize 
	local backdrop = { 
	        bgFile = "Interface\\AddOns\\oUF_Whiskey\\media\\HalBackgroundA", tile = true, tileSize = 16, 
	        insets = {left = -2, right = -2, top = -2, bottom = -2}, 
	    } 
--local statusbar = "Interface\\AddOns\\RaccoonUI\\textures\\dP" 
local statusbar = [[Interface\Addons\oUF_Whiskey\media\HalH]]
local backdrop2 = {
	bgFile = "Interface\\ChatFrame\\ChatFrameBackground",
	insets = {top = -1, left = -1, bottom = -1, right = -1},
}
	 
local function SetFontString(parent, fontName, fontHeight, fontStyle) 
	    local fs = parent:CreateFontString(nil, 'OVERLAY') 
	    fs:SetFont(fontName, fontHeight, fontStyle) 
	    fs:SetJustifyH('LEFT') 
	    fs:SetShadowColor(0,0,0) 
	    fs:SetShadowOffset(1.25, -1.25) 
    return fs 
end 
	 
local function menu(self) 
    if(self.unit:match('party')) then 
        ToggleDropDownMenu(1, nil, _G['PartyMemberFrame'..self.id..'DropDown'], 'cursor') 
    else 
        FriendsDropDown.unit = self.unit 
        FriendsDropDown.id = self.id 
        FriendsDropDown.initialize = RaidFrameDropDown_Initialize 
        ToggleDropDownMenu(1, nil, FriendsDropDown, 'cursor') 
    end 
end 
	 
local function Style(self, unit) 
    self.menu = menu 
    self:RegisterForClicks('AnyUp') 
    self:SetAttribute('*type2', 'menu') 
    self:SetScript('OnEnter', UnitFrame_OnEnter) 
    self:SetScript('OnLeave', UnitFrame_OnLeave) 
 
    --== Unit Backgrounds ==--
	--[[local self_bg1 = self:CreateTexture(nil, 'BORDER')
	self_bg1:SetPoint('TOPLEFT',self,'TOPLEFT',-1.45,1.45)
	self_bg1:SetPoint('BOTTOMRIGHT',self,'BOTTOMRIGHT',1.45,-1.45)
	self_bg1:SetTexture(0,0,0,.85)

	local self_bg2 = self:CreateTexture(nil, 'BACKGROUND')
	self_bg2:SetPoint('TOPLEFT', self_bg1, 'TOPLEFT', -2.45, 2.45) -- to be updated when text will be placed
	self_bg2:SetPoint('BOTTOMRIGHT', self_bg1, 'BOTTOMRIGHT', 2.45,-2.45)
	self_bg2:SetTexture(13/255,13/255,13/255,.95)]]
	self:SetBackdrop(backdrop2)
	self:SetBackdropColor(0,0,0,1)
 
    -- The Health bar 
    self.Health = CreateFrame('StatusBar', nil, self) 
    self.Health:SetPoint"TOP" 
    self.Health:SetStatusBarTexture(statusbar) 
    self.Health:SetHeight(16) 
    self.Health:SetPoint"RIGHT" 
    self.Health:SetPoint"LEFT" 
    
	self.Health.bg = self.Health:CreateTexture(nil, "BORDER")
	self.Health.bg:SetAllPoints(self.Health)
	self.Health.bg:SetTexture(statusbar)
	self.Health.bg.multiplier = 0.3

    self.Health.colorDisconnected = true 
    self.Health.colorClass = true 
 
 
	-- The health Text
    local healthtext = SetFontString(self.Health, font, 12) 
	healthtext:SetPoint('LEFT',self,'LEFT',2,0) 
	self:Tag(healthtext,'[perhp]%')
 
	 
	    --The power (mana, rage,energy or whatever you want) bar 
    self.Power = CreateFrame('StatusBar', nil, self) 
    self.Power:SetPoint("TOP", self.Health, "BOTTOM", 0, 0) 
    self.Power:SetStatusBarTexture(statusbar) 
    self.Power:SetHeight(4) 
    self.Power:SetPoint"LEFT" 
    self.Power:SetPoint"RIGHT" 
    self.Power:SetParent(self) 
    self.Power.colorPower = true 
    
    	self.Power.bg = self.Power:CreateTexture(nil, "BORDER")
	self.Power.bg:SetAllPoints(self.Power)
	self.Power.bg:SetTexture(statusbar)
	self.Power.bg.multiplier = 0.3
 	 
	-- The power Text
    local powertext = SetFontString(self.Health, font, 10) 
    powertext:SetPoint('RIGHT',self,'RIGHT',-2,0) 
	self:Tag(powertext,'[perpp]%')
 
	-- The name 
   --[=[ local name = SetFontString(self.Health, font, 11)
 if (GetNumRaidMembers() < 6) then 
    name:SetPoint('TOPLEFT', self, 'BOTTOMLEFT',0,-3) 
    self:Tag(name,'[name] [dead]')
 end]=]
	
	-- Change to alpha if in range or not	 
    self.outsideRangeAlpha = 0.4 
    self.inRangeAlpha = 1.0 
    self.Range = true 
 --if (GetNumRaidMembers() < 16) then
 --   self:SetAttribute('initial-height', 20)        -- the frames' height 
 --   self:SetAttribute('initial-width', 120)        -- the frames' width 
 --else 
    self:SetAttribute('initial-height', 20)        -- the frames' height 
    self:SetAttribute('initial-width', 80)        -- the frames' width 
 --end
		 
	
	-- The ReadyCheck plugin
    self.ReadyCheck = self.Health:CreateTexture(nil, 'OVERLAY') 
    self.ReadyCheck:SetPoint('BOTTOMRIGHT', self, 0, 0) 
    self.ReadyCheck:SetHeight(20) 
    self.ReadyCheck:SetWidth(20) 
 	 
end 
	 
oUF:RegisterStyle('Whiskey_Raid', Style) 
oUF:SetActiveStyle('Whiskey_Raid') 

	
--== Raid Part ==-- 
local raid = {}
for i = 1, 8 do
	local group = oUF:Spawn('header', 'oUF_Group'..i)
	group:SetManyAttributes('groupFilter', tostring(i), 'showRaid', true, 'xOffset', 15,'point',"LEFT")
	group:SetFrameStrata('BACKGROUND')
	table.insert(raid, group)
	if(i == 1) then
		group:SetManyAttributes('showParty', true, 'showPlayer', true)
		group:SetPoint('TOPLEFT', UIParent, 15, -15) 
	else
		group:SetPoint('TOPLEFT', raid[i-1], 'BOTTOMLEFT', 0, -10)
	end
		group:Show()
end

--== Main Tank part ==--
local MT = oUF:Spawn('header', 'oUF_MainTank')
MT:SetManyAttributes('showRaid', true, 'groupFilter', 'MAINTANK', 'yOffset', -15)
MT:SetPoint('TOPLEFT', UIParent, 15, -365)
MT:Show()

--== Main Assist part ==--
local MA = oUF:Spawn('header', 'oUF_MainAssist')
MA:SetManyAttributes('showRaid', true, 'groupFilter', 'MAINASSIST', 'yOffset', -15)
MA:SetPoint('TOPLEFT', 150, -365)
MA:Show()	
